Subject: Re: bug#56197: lisp-fill-paragraph behavior changed in Emacs 28

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2025 16:19:27 +0200

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Sat, 04 Jan 2025 16:04:36 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Maxim Cournoyer <[email-masked]>
> > Cc: [email-masked],  [email-masked],  [email-masked],
> >   [email-masked]
> > Date: Sat, 04 Jan 2025 19:09:42 +0900
> > 
> > >> I don't see how a user option to control this could be useful, since
> > >> the preferred behavior is not only buffer-local, but also specific to
> > >> certain syntactic constructs.  But I won't object to having such an
> > >> option.
> > >
> > > Having the behavior defined per-project or even globally (reverting to
> > > the the pre-Emacs 28 behavior) via a simple option seems like it'd
> > > simplify things, and make them discoverable.
> > 
> > I tried fixing this generally, as it seems to me that something in
> > lisp-mode should be meet the needs of all lisp-derived languages such as
> > Scheme and not just Elisp.  I first added two tests, one of which
> > ensures no regression to the original bug that lead to this current
> > behavioral change (bug#28937) and the other one that should pass once
> > the issue reported here (bug#56197) is resolved.
> > 
> > The last patch is a WIP that didn't work; I was hoping that inserting
> > spaces corresponding to the width of the indent in the narrowed string
> > would cause the indent to be preserved only for the first line.  I don't
> > have other ideas at the moment; I'd appreciate if someone could tip in.
> 
> Since you submitted a new bug report about this issue, does that mean
> these comments and the patches are no longer pertinent?

Sorry, I should have written "new patch", not "new bug report".